#if !defined(AFX_PNCOMBOBOX_H__C2CFA945_8CBB_11D3_9ECA_080009EE62AA__INCLUDED_)
#define AFX_PNCOMBOBOX_H__C2CFA945_8CBB_11D3_9ECA_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PNComboBox.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPNComboBox window

class CPNComboBox : public CComboBox
{
// Construction
public:
	CPNComboBox();
	bool m_DoLookup; // MG: Do lookup flag

	int AddString( LPCSTR pNewString=0 ); // MG: AddString, to add current string to combobox list
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPNComboBox)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	bool ShouldSave();
	static void SetAllRegistrySave( bool Mode );
	static bool m_RegistrySave;
	void SetThisRegistrySave( bool Mode ) { m_MyRegistrySave=Mode; }
	bool m_MyRegistrySave;
	virtual ~CPNComboBox();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPNComboBox)
	afx_msg void OnDestroy();
	afx_msg void OnEditupdate();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	bool m_DoPerLookup; // MG: Per-character lookup flag
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MEMORYCOMBOBOX_H__C2CFA945_8CBB_11D3_9ECA_080009EE62AA__INCLUDED_)
